function [s d ]= lohifilP(Par,N)
    
%frequency responses of the low-pass (s) and the high-pass (d) spline
%wavelet filters; Par--spline order, N--length od the signal 

	n=0:(N-1);
	nn=pi*(n)/N;
	mw=exp(-i*2* nn);
    bc=(cos(nn)).^Par;
    bs=(sin(nn)).^Par;
   
    [u1,~]=juviP(2*Par,N/2) ;
    u1=[u1 u1];
  [uc,~]=juviP(2*Par,N); 
  s=sqrt(uc./(u1+eps)).*bc;
    
    d= circ_h(s,N/2).*(mw);
    
    